package com.app.brush.guitar.ink.gallery;


import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.app.brush.guitar.ink.R;
import com.app.brush.guitar.ink.drama.DichotomyDetails;
import com.app.brush.guitar.ink.databinding.RichAdapterChildHomeBinding;
import com.app.brush.guitar.ink.eraser.SetKeyboardAmplify;
import com.app.brush.guitar.ink.iguana.UbiquitousSerene;
import com.bumptech.glide.Glide;

import java.util.ArrayList;
import java.util.List;

public class HomeChildGalvanize extends RecyclerView.Adapter<HomeChildGalvanize.ChildViewHolder> {

    private Context mContext;
    private List<DichotomyDetails> mList = new ArrayList<>();


    public HomeChildGalvanize(Context context, List<DichotomyDetails> list) {
        mContext = context;
        this.mList = list;
    }


    @NonNull
    @Override
    public ChildViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        RichAdapterChildHomeBinding inflate = RichAdapterChildHomeBinding.inflate(LayoutInflater.from(parent.getContext()));


        return new ChildViewHolder(inflate);
    }

    @Override
    public void onBindViewHolder(@NonNull ChildViewHolder holder, int position) {
        DichotomyDetails beanDetails = mList.get(position);


        String thumbGif = beanDetails.getThumbGif();
        String thumb = beanDetails.getThumbUrl();
        if (thumbGif != null && !thumbGif.isEmpty()) {
            UbiquitousSerene.INSTANCE.loadWepJif(mContext, thumbGif, holder.binding.imageView);
        } else {
            Glide.with(mContext).load(thumb)
                    .error(R.drawable.place_holder)
                    .placeholder(R.drawable.place_holder)
                    .into(holder.binding.imageView);
        }

        holder.binding.fragme.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intentApply = new Intent(mContext, SetKeyboardAmplify.class);
                intentApply.putExtra(SetKeyboardAmplify.SOURCE_KEY, beanDetails);
                intentApply.putExtra(SetKeyboardAmplify.DISPLAY_URL_KEY, beanDetails.getImgPath());
                intentApply.putExtra(SetKeyboardAmplify.ZIP_URL_KEY, beanDetails.getZipPath());
                intentApply.putExtra(SetKeyboardAmplify.NAME_KEY, beanDetails.getTitleName());
                intentApply.putExtra(SetKeyboardAmplify.GIF_KEY, beanDetails.getImgGif());
                String intent_thumb;
                if (!thumbGif.isEmpty()) {
                    intent_thumb = thumbGif;
                } else {
                    intent_thumb = thumb;
                }
                intentApply.putExtra(SetKeyboardAmplify.THUMB_KEY, intent_thumb);
                mContext.startActivity(intentApply);


            }
        });


    }

    @Override
    public int getItemCount() {
        return mList.size();
    }

    public static class ChildViewHolder extends RecyclerView.ViewHolder {

        private RichAdapterChildHomeBinding binding;


        public ChildViewHolder(@NonNull RichAdapterChildHomeBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;


        }

    }

}
